import logging
import os
import openlineage
import airflow


ALVIN_ENV_DICT = {
    # needed
    "ALVIN__API_URL": "",
    "OPENLINEAGE_URL": "",
    "ALVIN__API_KEY": "",
    "OPENLINEAGE_API_KEY": "",
    "OPENLINEAGE_EXTRACTOR_BigQueryExecuteQueryOperator": "alvin_airflow.lineage.extractors.big_query.AlvinBQExtractor",
    "OPENLINEAGE_EXTRACTOR_SnowflakeOperator": "alvin_airflow.lineage.extractors.snowflake.AlvinSFExtractor",
    "AIRFLOW_HOME": "",
}


def print_alvin_environment():
    """
    Print out the Open Lineage / Alvin environment
    for troubleshooting purposes
    """
    pass


def set_global_vars():
    """
    https://github.com/OpenLineage/OpenLineage/tree/main/integration/airflow#custom-extractors

    The user is expected to set:
    - ALVIN__API_URL
    - ALVIN__API_KEY
    """
    pass

