import os
import sys
from airflow import settings

import inspect


def create_alvin_dag():
    from alvin_airflow.lineage.metadata import dag_metadata_current
    print('Creating Alvin DAGs.....')
    dag_folder = settings.DAGS_FOLDER
    dag_source_code = inspect.getsource(sys.modules[dag_metadata_current.__name__])
    with open(os.path.join(dag_folder, 'alvin_metadata_dag.py'), 'w') as file:
        file.write(dag_source_code)
